body {
	font-family: 'Montserrat', Arial, sans-serif;
	font-size: 16px;
	color: #222222;
	line-height: 1.6;
	background-color: #FAFAFA;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
    height: 100vh;
}

.floating-notification {
	width: 50%;
	height: auto;
	border-radius: 4px;
}

a {
    color: #1B5E20;
    text-decoration: none;
}

/* SEARCH BOX */

.div-search-box {
	box-sizing: border-box;
	display: inline-block;
	padding: 8px 8px;
	width: 65%;
	height: 40px;
	vertical-align: top;
	border-radius: 24px;
	background-color: #FFFFFF;
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.10), 0 4px 8px 0 rgba(0,0,0,0.10);
}

.input-search-box {
    width: 90%;
	height: 30px;
    box-sizing: border-box;
	text-align: left;
	background-color: transparent;
	border: 0px;
	font-size: 16px;
	margin-left: 8px;
    outline: none;
}

/* END SEARCH BOX */

/* PEOPLE STYLES */

.container-people {
    display: flex;
    flex-wrap: wrap;
}

.card-person {
    display: block;
    flex: 0 1 calc(25% - 1em);
    background-color: #EEEEEE;
    border-radius: 16px;
    margin: 0.75rem .25em;
    padding: 4px;
}

.profile-picture-container {
	border-radius: 50%;
	border: 1px solid black;
	height: 192px;
	width: 192px;
	overflow: hidden;
	display: flex;
	justify-content: center;
	align-items: center;
}
.profile-picture-container. img {
	display: block;
}

#person-image {
    color: #1B5E20;
}

#person-name {
    color: #1B5E20;
    font-weight: bold;
}

#person-n-sedute {
    color: #1B5E20;
    font-weight: bold;
}

#person-birth, #person-city {
    font-style: italic;
}

.person-card-link:hover {
    color: #1B5E20;
    text-decoration: underline;
}

.container-person {
    width: 100%;
    height: auto;
    background-color: #EEEEEE;
    border-radius: 16px;
}

.container-person-50pct {
    width: 50%;
    height: auto;
    background-color: #EEEEEE;
    border-radius: 16px;
}

.container-person-40pct {
    width: 40%;
    height: auto;
    background-color: #EEEEEE;
    border-radius: 16px;
}

.container-person-data {
    display: flex;
    flex-wrap: wrap;
}

.wrapper-person-data {
    display: block;
    flex: 0 1 calc(25% - 1em);
    margin: 1rem .25em;
    text-align: left;
}

.wrapper-person-data-50pct {
    display: block;
    flex: 0 1 calc(50% - 1em);
    margin: 1rem .25em;
    text-align: left;
}

.wrapper-person-data-47pct {
    display: block;
    flex: 0 1 calc(47% - 1em);
    margin: 1rem .25em;
    text-align: left;
}

.wrapper-person-data-40pct {
    display: block;
    flex: 0 1 calc(40% - 1em);
    margin: 1rem .25em;
    text-align: left;
}

.wrapper-person-data-30pct {
    display: block;
    flex: 0 1 calc(30% - 1em);
    margin: 1rem .25em;
    text-align: left;
}

.card-person-data {
    display: block;
    width: auto;
    height: auto;
    background-color: #FFFFFF;
    border: 0px solid #1B5E20;
    border-radius: 4px;
    padding: 4px;
    text-align: left;
}

.container-sessions {
    display: flex;
    flex-wrap: wrap;
}

.card-session {
    display: block;
    flex: 0 1 calc(50% - 1em);
    background-color: #EEEEEE;
    border-radius: 16px;
    margin: 0.75rem .25em;
    padding: 4px;
}

/* END PEOPLE STYLES */

/* AREA ESERCIZI */

.container-categories {
    display: flex;
    flex-wrap: wrap;
}

.card-category {
    display: block;
    flex: 0 1 calc(25% - 1em);
    background-color: #EEEEEE;
    border-radius: 16px;
    margin: 0.75rem .25em;
    padding: 4px;
}

.container-exercises {
    display: flex;
    flex-wrap: wrap;
}

.card-exercise {
    display: block;
    flex: 0 1 calc(50% - 1em);
    background-color: #EEEEEE;
    border-radius: 16px;
    margin: 0.75rem .25em;
    padding: 4px;
}

/* END AREA ESERCIZI */

/* FLOATING MODAL */

.container-modal {
	display: none;
	width: 100%;
	height: 100%;
	position: fixed;
	z-index: 2;
	top: 0;
	left: 0;
	right: 0;
	margin: 0 auto;
	overflow: auto;
	background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
	color: #222222;
	text-align: left;
}

.button-close-modal {
	background-color: #FFFFFF;
	border: 1px solid #FFFFFF;
	border-radius: 4px;
	color: #000000;
	font-size: 16px;
	font-weight: bold;
	float: right;
	margin: 8px;
	cursor: pointer;
	box-shadow: 0 2px 4px 0 rgba(0,0,0,0.24), 0 1px 2px 0 rgba(0,0,0,0.19);
}

.modal {
	display: block;
	position: absolute;
	width: 50%;
	height: auto;
	background-color: #FAFAFA;
	border-radius: 4px;
	padding: 8px;
	top: 5%;
	left: 0;
	right: 0;
	margin: 0 auto;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 4px 8px 0 rgba(0,0,0,0.19);
}

.button-confirm-edit {
	width: 50px;
	height: 50px;
	background-color: transparent;
	border: 0px;
	color: #1B5E20;
	cursor: pointer;
}

/* END FLOATING MODAL */

.sliding-menu-selection a {
	display: inline-block;
	color: #777777;
	text-decoration: none;
	letter-spacing: 0.0em;
	font-family: 'Lato';
	font-weight: bold;
	padding: 15px 30px;
	position: relative;
	transition-duration: 0.4s;
    width: 20%;
}

.sliding-menu-selection a.sliding-menu-selection-link {
	display: inline-block;
	color: #777777;
	text-decoration: none;
	letter-spacing: 0.0em;
	font-family: 'Lato';
	font-weight: bold;
	padding: 15px 30px;
	position: relative;
	transition-duration: 0.4s;
}

.sliding-menu-selection a.sliding-menu-selection-link-idle {
	color: #777777;
}

.sliding-menu-selection a.sliding-menu-selection-link-idle:hover {
	color: #1B5E20;
}

.sliding-menu-selection a.sliding-menu-selection-link-idle:before {
	content: "";
	position: absolute;
	width: 0;
	height: 2px;
	bottom: 0;
	left: 0;
	background-color: #1B5E20;
	visibility: hidden;
	transition: all 0.3s ease-in-out;
}

.sliding-menu-selection a.sliding-menu-selection-link-idle:hover:before {
	width: 100%;
	visibility: visible;
}

.sliding-menu-selection a.sliding-menu-selection-link-active {
	color: #1B5E20;
}

.sliding-menu-selection a.sliding-menu-selection-link-active:before {
	content: "";
	position: absolute;
	width: 0;
	height: 2px;
	bottom: 0;
	left: 0;
	background-color: #1B5E20;
	visibility: hidden;
	transition: all 0.3s ease-in-out;
}

.sliding-menu-selection a.sliding-menu-selection-link-active:before {
	width: 100%;
	visibility: visible;
}

.sliding-menu-selection a:hover {
	color: #1B5E20;
}

.sliding-menu-selection .link_left {
	float: left;
}

.sliding-menu-selection .link_right {
	float: right;
}

/* INPUTS */

.input-text {
    width: 30%;
    padding: 12px;
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-bottom: 1px solid #1B5E20;
    border-radius: 1px;
    background-color: transparent;
    font-family: 'Montserrat';
    font-size: 16px;
    color: #1B5E20;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
	text-align: left;
    outline: none;
}

.input-text-100pct {
    width: 100%;
    padding: 12px;
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-bottom: 1px solid #1B5E20;
    border-radius: 1px;
    background-color: transparent;
    font-family: 'Montserrat';
    font-size: 16px;
    color: #1B5E20;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
	text-align: left;
    outline: none;
}

.input-textarea {
    width: 80%;
    padding: 12px;  
    border: 1px solid #1B5E20;
    border-radius: 1px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
	text-align: left;
    font-size: 16px;
    font-family: 'Montserrat';
    height: 250px;
    outline: none;
}

/* Custom Radion Buttons */

/* The container */
.radio-button-container {
	display: block;
	position: relative;
	padding-left: 35px;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
    text-align: left;
}

/* Hide the browser's default radio button */
.radio-button-container input {
	position: absolute;
	opacity: 0;
	cursor: pointer;
}

/* Create a custom radio button */
.checkmark {
	position: absolute;
	top: 0;
	left: 0;
	height: 25px;
	width: 25px;
	background-color: #AAAAAA;
	border-radius: 50%;
}

/* On mouse-over, add a grey background color */
.radio-button-container:hover input ~ .checkmark {
	background-color: #DDDDDD;
}
  
  /* When the radio button is checked, add a blue background */
.radio-button-container input:checked ~ .checkmark {
	background-color: #1B5E20;
}
  
  /* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
	content: "";
	position: absolute;
	display: none;
}
  
  /* Show the indicator (dot/circle) when checked */
.radio-button-container input:checked ~ .checkmark:after {
	display: block;
}
  
  /* Style the indicator (dot/circle) */
.radio-button-container .checkmark:after {
	top: 9px;
	left: 9px;
	width: 8px;
	height: 8px;
	border-radius: 50%;
	background: white;
}

/* End Custom radio button */

/* END INPUTS */

/* BUTTONS */

.button-go {
	display: inline-block;
	border-radius: 2px;
	background-color: #1B5E20;
	border: 1px solid #1B5E20;
	color: #FFFFFF;
	text-align: center;
	font-size: 16px;
	font-family: 'Lato';
	font-weight: bold;
	padding: 10px;
	width: 200px;
	cursor: pointer;
	margin: 5px;
	transition-duration: 0.4s;
}

.button-go:hover {
	text-decoration: none;
	background-color: #1B5E20;
    color: #FFFFFF;
	border: 1px solid #1B5E20;
	border-radius: 2px;
    //box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
}

.button-dashboard-nav {
	display: inline-block;
	border-radius: 2px;
	background-color: transparent;
	border: 1px solid #1B5E20;
	color: #1B5E20;
	text-align: center;
	font-size: 16px;
	font-family: 'Lato';
	font-weight: bold;
	padding: 10px;
	width: 200px;
	cursor: pointer;
	margin: 5px;
	transition-duration: 0.4s;
}

.button-dashboard-nav:hover {
	text-decoration: none;
	background-color: #1B5E20;
    color: #FFFFFF;
	border: 1px solid #1B5E20;
	border-radius: 2px;
    //box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
}

/* END BUTTONS */

/* LARGE TABLETS */
@media screen and (max-width: 1024px) {
    .input-text {
        width: 60%;
    }

    .input-textarea {
		width: 90%;
	}

    .floating-notification {
        width: 60%;
    }

    .div-search-box {
        width: 85%;
    }

    /* PEOPLE STYLES */

    .container-people {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .card-person {
        flex: 0 1 calc(50% - 1em);
        background-color: #EEEEEE;
        border-radius: 16px;
    }

    .wrapper-person-data {
        flex: 0 1 calc(50% - 1em);
    }

    .wrapper-person-data-50pct {
        flex: 0 1 calc(50% - 1em);
    }

    .wrapper-person-data-40pct {
        flex: 0 1 calc(40% - 1em);
    }

    .wrapper-person-data-30pct {
        flex: 0 1 calc(30% - 1em);
    }

    .container-sessions {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .card-session {
        flex: 0 1 calc(50% - 1em);
        border-radius: 16px;
    }

    /* END PEOPLE STYLES */

    .modal {
        width: 70%;
        top: 10%;
    }

    /* AREA ESERCIZI */

    .container-categories {
        display: flex;
        flex-wrap: wrap;
    }

    .card-category {
        flex: 0 1 calc(33% - 1em);
        border-radius: 16px;
    }

    .container-exercises {
        display: flex;
        flex-wrap: wrap;
    }

    .card-esercise {
        flex: 0 1 calc(50% - 1em);
        border-radius: 16px;
    }

    /* END AREA ESERCIZI */

    .sliding-menu-selection a {
        width: 15%;
    }
}

/* MEDIUM TABLETS */
@media screen and (max-width: 767px) {
    .input-text {
        width: 60%;
    }

    .input-textarea {
		width: 90%;
	}

    .floating-notification {
        width: 60%;
    }

    .div-search-box {
        width: 85%;
    }

    /* PEOPLE STYLES */

    .container-people {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .card-person {
        flex: 0 1 calc(50% - 1em);
        background-color: #EEEEEE;
        border-radius: 16px;
        margin-bottom: 12px;
    }

    .wrapper-person-data {
        flex: 0 1 calc(50% - 1em);
    }

    .wrapper-person-data-50pct {
        flex: 0 1 calc(50% - 1em);
    }

    .wrapper-person-data-40pct {
        flex: 0 1 calc(40% - 1em);
    }

    .wrapper-person-data-30pct {
        flex: 0 1 calc(30% - 1em);
    }

    .container-sessions {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .card-session {
        flex: 0 1 calc(50% - 1em);
        border-radius: 16px;
    }

    /* END PEOPLE STYLES */

    .modal {
        width: 70%;
        top: 10%;
    }

    /* AREA ESERCIZI */

    .container-categories {
        display: flex;
        flex-wrap: wrap;
    }

    .card-category {
        flex: 0 1 calc(50% - 1em);
        border-radius: 16px;
    }

    .container-exercises {
        display: flex;
        flex-wrap: wrap;
    }

    .card-esercise {
        flex: 0 1 calc(50% - 1em);
        border-radius: 16px;
    }
    
    /* END AREA ESERCIZI */

    .sliding-menu-selection a {
        width: 15%;
    }
}

/* SMARTPHONES */
@media screen and (max-width: 600px) {
    .input-text {
        width: 80%;
    }

    .input-textarea {
		width: 90%;
        height: 300px;
	}

    .floating-notification {
        width: 80%;
    }

    .div-search-box {
        width: 100%;
    }

    /* PEOPLE STYLES */

    .container-people {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .card-person {
        flex: 0 1 calc(100%);
        background-color: #EEEEEE;
        border-radius: 16px;
        margin-bottom: 12px;
    }

    .wrapper-person-data {
        flex: 0 1 calc(100%);
        margin-bottom: 12px;
    }

    .wrapper-person-data-50pct {
        flex: 0 1 calc(100%);
        margin-bottom: 12px;
    }

    .wrapper-person-data-40pct {
        flex: 0 1 calc(100%);
        margin-bottom: 12px;
    }

    .wrapper-person-data-30pct {
        flex: 0 1 calc(100%);
        margin-bottom: 12px;
    }

    .container-sessions {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .card-session {
        flex: 0 1 calc(100%);
        border-radius: 16px;
        margin-bottom: 12px;
    }

    /* END PEOPLE STYLES */

    .modal {
        width: 90%;
        top: 5%;
    }

    /* AREA ESERCIZI */

    .container-categories {
        display: flex;
        flex-wrap: wrap;
    }

    .card-category {
        flex: 0 1 calc(100%);
        border-radius: 16px;
    }

    .container-exercises {
        display: flex;
        flex-wrap: wrap;
    }

    .card-exercise {
        flex: 0 1 calc(100%);
        border-radius: 16px;
    }
    
    /* END AREA ESERCIZI */

    .container-person-50pct {
        width: 100%;
    }

    .container-person-40pct {
        width: 100%;
    }

    .sliding-menu-selection a {
        width: auto;
    }
}